diff -uNr cvs-1.12.13/debian/control cvs-1.12.13.krb/debian/control
--- cvs-1.12.13/debian/control	2007-02-01 16:22:06.000000000 +0000
+++ cvs-1.12.13.krb/debian/control	2007-01-30 17:08:11.000000000 +0000
@@ -4,7 +4,7 @@
 Maintainer: Steve McIntyre <93sam@debian.org> 
 Uploaders: Zak B. Elep <zakame@spunge.org>
 Build-Depends: autotools-dev, bison, dbs, debhelper (>= 4.1.16), groff, libpam0g-dev, perl, texi2html, texinfo, zlib1g-dev
-Build-Conflicts: heimdal-dev, kerberos4kth-dev, libkrb5-dev
+OFF-Build-Conflicts: heimdal-dev, kerberos4kth-dev, libkrb5-dev
 Standards-Version: 3.7.2
 
 Package: cvs
diff -uNr cvs-1.12.13/debian/patches/99_configure_krb4 cvs-1.12.13.krb/debian/patches/99_configure_krb4
--- cvs-1.12.13/debian/patches/99_configure_krb4	1970-01-01 01:00:00.000000000 +0100
+++ cvs-1.12.13.krb/debian/patches/99_configure_krb4	2007-02-01 15:28:16.000000000 +0000
@@ -0,0 +1,85 @@
+#
+# Patch to fix krb4 in configure
+#
+# Patch by Alex Owen <r.a.owen@qmul.ac.uk>
+diff -u cvs-1.12.13-old/configure.orig  cvs-1.12.13/configure
+cvs-1.12.13/contrib/rcs2log.sh
+--- cvs-1.12.13-old/configure.orig	2005-10-03 14:36:42.000000000 +0100
++++ cvs-1.12.13/configure		2007-02-01 15:24:00.000000000 +0000
+@@ -37602,13 +37602,13 @@
+   if test "$cross_compiling" != yes && test -r $KRB4/lib/libkrb.a; then
+        hold_ldflags=$LDFLAGS
+        LDFLAGS="-L${KRB4}/lib $LDFLAGS"
+-       echo "$as_me:$LINENO: checking for printf in -lkrb" >&5
+-echo $ECHO_N "checking for printf in -lkrb... $ECHO_C" >&6
++       echo "$as_me:$LINENO: checking for printf in -lkrb4" >&5
++echo $ECHO_N "checking for printf in -lkrb4... $ECHO_C" >&6
+ if test "${ac_cv_lib_krb_printf+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lkrb  $LIBS"
++LIBS="-lkrb4  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+@@ -37672,13 +37672,13 @@
+   LDFLAGS=$hold_ldflags
+             # Using open here instead of printf so we don't
+             # get confused by the cached value for printf from above.
+-            echo "$as_me:$LINENO: checking for open in -lkrb" >&5
+-echo $ECHO_N "checking for open in -lkrb... $ECHO_C" >&6
++            echo "$as_me:$LINENO: checking for open in -lkrb4" >&5
++echo $ECHO_N "checking for open in -lkrb4... $ECHO_C" >&6
+ if test "${ac_cv_lib_krb_open+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lkrb  $LIBS"
++LIBS="-lkrb4  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+@@ -37744,13 +37744,13 @@
+ 
+        LDFLAGS=$hold_ldflags
+   else
+-       echo "$as_me:$LINENO: checking for printf in -lkrb" >&5
+-echo $ECHO_N "checking for printf in -lkrb... $ECHO_C" >&6
++       echo "$as_me:$LINENO: checking for printf in -lkrb4" >&5
++echo $ECHO_N "checking for printf in -lkrb4... $ECHO_C" >&6
+ if test "${ac_cv_lib_krb_printf+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lkrb  $LIBS"
++LIBS="-lkrb4  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+@@ -37989,13 +37989,13 @@
+ fi
+ 
+ 
+-echo "$as_me:$LINENO: checking for krb_recvauth in -lkrb" >&5
+-echo $ECHO_N "checking for krb_recvauth in -lkrb... $ECHO_C" >&6
++echo "$as_me:$LINENO: checking for krb_recvauth in -lkrb4" >&5
++echo $ECHO_N "checking for krb_recvauth in -lkrb4... $ECHO_C" >&6
+ if test "${ac_cv_lib_krb_krb_recvauth+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lkrb  $LIBS"
++LIBS="-lkrb4  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+@@ -38058,7 +38058,7 @@
+ #define HAVE_LIBKRB 1
+ _ACEOF
+ 
+-  LIBS="-lkrb $LIBS"
++  LIBS="-lkrb4 $LIBS"
+ 
+ fi
+ 
diff -uNr cvs-1.12.13/debian/rules cvs-1.12.13.krb/debian/rules
--- cvs-1.12.13/debian/rules	2007-02-01 16:22:06.000000000 +0000
+++ cvs-1.12.13.krb/debian/rules	2007-02-01 16:48:25.000000000 +0000
@@ -46,10 +46,10 @@
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
 		--infodir=/usr/share/info \
-		--without-krb4 --without-gssapi \
+		--with-krb4=/usr --with-gssapi --enable-encryption \
 		--with-editor=/usr/bin/sensible-editor \
 		--enable-rootcommit --with-external-zlib \
-		--enable-pam --with-hardcoded-pam-service-name=cvs
+		--enable-pam --with-hardcoded-pam-service-name=cvs 
 
 	touch $(STAMP_DIR)/stamp-configure
 
